SetClrPrerequisite for 4 and 4.5

Feb 3, 2015 at 10:41 PM
it looks like the SetClrPrerequisite cannot be used to distinguish between .net 4 and .net 4.5... or did it miss something?
Feb 17, 2015 at 1:12 PM
You are right. It works only for <4.5. The registry based approach doesn't seem to be sustainable in a long term. That is why it will be migrated to the wix native WixNetfxExtension.

Migration of SetClrPrerequisite to SetNetFxPrerequisite is scheduled for the next release.

Until then you can use WixNetfxExtension explicitly as in the PropertyRef sample.